% Matlab Program 10-4 : Ramp response

k = 0:20;
x = 0.5*k;
ng = [0.7 0];
dg = [1 -0.8 0.5];
y1 = dlsim(ng,dg,x);
y2 = filter(ng,dg,x);
plot(k,x,k,y1,'o',k,y2,':')
xlabel('number of sample, k')
ylabel('y(k)')
title('Ramp response')
grid
