% Matlab Program 10-5 : Discrete system response
% Controller
k = 15;
% Plant
ng = 1;
dg = conv([1 1],[1 3]);
% Continuous response
[nclose,dclose] = cloop(k*ng,dg,-1);
t = [0:0.1:3];
yc = step(nclose,dclose,t);
% Discrete response
x = ones(1,length(yc));
k = [1:length(x)];
[dnclose1,ddclose1] = c2dm(nclose,dclose,0.1,'zoh');
[dnclose2,ddclose2] = c2dm(nclose,dclose,0.3,'zoh');
yd1 = filter(dnclose1,ddclose1,x);
yd2 = filter(dnclose2,ddclose2,x);
plot(t,yc,t,yd1,'o',t,yd2,'*')
legend('Continuous','T = 0.1','T = 0.3')
xlabel('time')
ylabel('y(t)')
title('Step response')
grid
