% MATLAB Program  3-4 : Impulse and ramp response
zeta = 0.5; wn = 2;
ng = wn^2;
dg = [1 2*zeta*wn wn^2];
% Impulse response
t = [0:0.1:6];
yi = impulse(ng,dg,t);
plot(t,yi)
grid
title('Impuse response')
xlabel('time (s)')
ylabel(' y(t)')
pause
% Ramp response
r = t;
yr = lsim(ng,dg,r,t);
plot(t,r,'--',t,yr)
grid
legend('Reference r(t)','Output y(t)')
title('Ramp response of (3.1)')
xlabel('time (s)')
ylabel('y(t)')

