%MATLAB Program 3-8 : Step response of 3rd order plant

J = 0.3; B = 0.2; Kr = 1; Kt = 0.5;
Kp = 30; Ki = 90; Kw = 0.02;
Km = Kr*Kt*Kw;
% Transfer function
ng3 = Km*[Kp Ki];
dg3 = [J B+Kt*Kw*Kp Kt*Kw*Ki+Km*Kp Km*Ki];
root = roots(dg3)
t = [0:0.1:14];
% Step response
y = step(ng3,dg3,t);
plot(t,y)
grid
title('Step response of an induction motor')
xlabel('time (s)')
ylabel('y(t)')

