%MATLAB Program 3-9 : Simplification of the 3rd order plant

% 3rd order plant
ng3 =60;
dg3 = conv([1 0],conv([1 2],[1 20]));
% Simplified plant
ng2 = 60/20;
dg2 = conv([1 0],[1 2]);
% Step response
t = [0:0.1:6];
[nclose2,dclose2] = cloop(ng2,dg2,-1);
[nclose3,dclose3] = cloop(ng3,dg3,-1);
y1 = step(nclose3,dclose3,t);
y2 = step(nclose2,dclose2,t);
plot(t,y1,t,y2,'--')
legend('Third order plant','Reduced second order plant')
grid
title('Step responses')
xlabel('time (s)')
ylabel('y(t)')

