%MATLAB Program 6-10-1 : Lead-lag controller for a third order plant.

ng = 1;                                       % Plant
dg = conv([1 0],conv([1 1],[1 7]));
nlead1 = [ 1 1.3];                            % Lead controller
dlead1 = [1 32.5];
nlag1 = [1 0.1];                              % Lag controller
dlag1 = [1 0.018];
%Root locus plot
k1 = 630.6011;
ngl1 = conv(ng,nlead1);
dgl1 = conv(dg,dlead1);
nopen1 = k1*conv(ngl1,nlag1);
dopen1 = conv(dgl1,dlag1);
rlocus(nopen1,dopen1);
pause;
[nclose1,dclose1] = cloop(nopen1,dopen1,-1);
% Step response
t = [0:0.1:6];
y1 = step(nclose1,dclose1,t);
plot(t,y1)
xlabel('time (s)')
ylabel('y(t)')
title('Lead-lag control for the 3rd order plant')
grid
%Add a prefilter
nfilter1 = 1.3;
dfilter1 = [1 1.3];
y2 = step(conv(nfilter1,nclose1),conv(dfilter1,dclose1),t);
plot(t,y1,t,y2,'--');
grid
xlabel('time (s)')
ylabel('y(t)')
legend('w/o prefilter','with prefilter')