%MATLAB Program 6-8-2 : Lead-lag controller for a third order plant.
ng = 1;                                       % Plant
dg = conv([1 0],conv([1 1],[1 7]));
nlead2 = [ 1 1.5];                            % Lead controller
dlead2 = [1 37.5];
nlag2 = [1 0.1];                              % Lag controller
dlag2 = [1 0.021];
%Root locus plot 
ngl2 = conv(ng,nlead2);
dgl2 = conv(dg,dlead2);
k2 = 730.75;
nopen2 = k2*conv(ngl2,nlag2);
dopen2 = conv(dgl2,dlag2);
rlocus(nopen2,dopen2);
pause;
[nclose2,dclose2] = cloop(nopen2,dopen2,-1);
% Step response
t = [0:0.1:6];
y1 = step(nclose2,dclose2,t);
plot(t,y1)
pause;
%Another controller design
nfilter2 = 1.5;
dfilter2 = [1 1.5];
%Another prefilter
nfilter3 = 1.8;
dfilter3 = [1 1.8];
y2 = step(conv(nfilter2,nclose1),conv(dfilter2,dclose1),t);
plot(t,y1,t,y2,'--');
grid
pause;
y3 = step(conv(nfilter3,nclose2),conv(dfilter3,dclose2),t);
plot(t,y1,t,y2,'--',t,y3,':');
legend('No Prefilter','With a C1(s) and a P1(s)', ...
'With a C1(s) and a P2(s)','With a C2(s) and a P3(s)')
grid
title('Step response with  Lead-lag controllers and prefilters')
xlabel('t (sec)')
ylabel('Output y(t)')


