% MATLAB Program 6-13 : Root locus for a PID conrolled third order plant.

% Transfer function
ng = 1;
dg = [1 0 0 0];
% PIDA controller
npid = [1 5.5 14 14];
dpid = [1 0];
% open loop transfer function
nopen = conv(ng,npid);
dopen = conv(dg,dpid);
% root locus
rlocus(nopen,dopen);
title('Third order plant with PIDA controller')
grid
axis([-8 2 -5 5])

