% MATLAB Program 6-5 : Lead controller design

k=input('Enter K =')
% Plant
ng = 1;
dg = [1 0 0];
% Lead controller
nlead = k*[1 1];
dlead = [1 3.6];
% Open loop
nopen = conv(ng,nlead);
dopen = conv(dg,dlead);
% Closed loop
[nclose,dclose] = cloop(nopen,dopen,-1);
% Step response
t = [0:0.1:10];
y = step(nclose,dclose,t);
plot(t,y);
grid
title('Step response with a lead controller')
xlabel('t (sec)')
ylabel('Output y(t)')
