%MATLAB Program \7-11 : Polar and nyquist

w = logspace(-1,3,400);
ng  =1;
dg = [1 1 0.2 1];
% Polar plot
[mag,aphase] = bode(ng,dg,w);
polar((pi/180)*aphase,mag);
grid
title('Polar plot of 1/s^3+s^2+0.2s+1')
pause
% Nyquist Plot
nyquist(ng,dg)
grid
title('Nyquist plot of 1/s^3+s^2+0.2s+1')
pause
[re,im,w] = nyquist(ng,dg,w);
plot(re,im)
grid
title('Nyquist plot of 1/s^3+s^2+0.2s+1')
xlabel('Real axis')
ylabel('Imaginary axis')
