% MATLAB 7-4 :  Bode Diagram of a pole

w = [0.1:0.5:10];                      % freq. range
mag = 1./sqrt(1+w.^2);                 % magnitude
m= 20*log10(mag);
phi = -real(atan(w));               
phi_deg = phi*180/pi;                  % phase
subplot(211)
semilogx(w,m)
grid
ylabel('Magnitude (dB)')
title('Frequency respnose of a pole')
subplot(212)
semilogx(w,phi_deg)
grid
ylabel('Phase (degree)')
xlabel('Frequency   w (rad/sec)')
