% MATLAB Program 7-8 : Bode Diagram
% Frequency range
w = logspace(-1,3,400);
% Plant
ng = 300*[1 100];
dg = conv([1 0],conv([1 10],[1 40]));
% Bode  
[mag,phase] = bode(ng,dg,w);
lmag = 20*log10(mag);
% 211 plot
subplot(211)
semilogx(w,lmag)
grid
ylabel('Gain (dB)')
% 212 plot
subplot(212)
semilogx(w,phase)
grid
ylabel('Phase (degree)')
xlabel('Frequency   w (rad/sec)')

