%MATLAB Program 7-9 : Bode Diagram

k = input('Enter K = ');                % input gain
w = logspace(-1,2,400);                 % freq. range
[ne,de] = pade(1,2);                    % time delay
ng = k*ne;
dg = conv(conv([1 0],conv([1 10],[1 30])),de);
[mag,phase] = bode(ng,dg,w);            % bode diagram
[Gm,Pm,wg,wp] = margin(mag,phase,w)     % margins
lmag = 20*log10(mag);
subplot(211)
semilogx(w,lmag)
grid
ylabel('Gain (dB)')
subplot(212)
semilogx(w,phase)
grid
ylabel('Phase (degree)')
xlabel('Frequency   w (rad/sec)')

