%MATLAB Program 9-10 : PIDA for Tpe 0 of 3rd order plant 

K = input('Controller gain K=');
% Plant transfer function G(s)
ng = 1;
dg = conv([1 1], conv([1 3],[1 6]));
% PIDA Controller transfer function
nc = K*conv([1 2*2.3931 2.3931^2+2.0501^2],[1 2.0288]);
dc = [1 0];
% Open loop transfer function G(s)C(s)
ngc = conv(ng,nc);
dgc = conv(dg,dc);
% Closed loop transfer function T(s) = 1/(1+GC(s))
[nclose,dclose] = cloop(ngc,dgc,-1);
% Step response
t = [0:0.01:2];
y = step(nclose,dclose,t);
plot(t,y)
grid
xlabel('time (s)')
ylabel(' y(t)')
title('Step response of 1/(s+1)(s+3)(s+xi61) with a PIDA controller')

