%MATLAB Program 9-5 : PID for Type 0

K = input('Controller gains K = ');
% Plant transfer function G(s)
ng = 1;
dg = conv([1 0],[1 3]);
% PID Controller transfer function
nc = K*[1 4.3914 8.4019];
dc = [1 0];
% Open loop transfer function G(s)C(s)
ngc = conv(ng,nc);
dgc = conv(dg,dc);
% Closed loop transfer function T(s) = 1/(1+GC(s))
[nclose,dclose] = cloop(ngc,dgc,-1);
% Step response
t = [0:0.01:2];
y = step(nclose,dclose,t);
plot(t,y)
grid
xlabel('time (s)')
ylabel(' y(t)')
title('Step response of 1/(s+1)(s+3) with a PID controller')

