%MATLAB Program 9-7 : PID for Type 2 

K = input('Controller gains K = ');
% Plant transfer function G(s)
ng = 1;
dg = [1 0 0];
% PID Controller transfer function
nc = K*[1 3.93 7.3772];
dc = [1 0];
% Open loop transfer function G(s)C(s)
ngc = conv(ng,nc);
dgc = conv(dg,dc);
% Closed loop transfer function T(s) = 1/(1+GC(s))
[nclose,dclose] = cloop(ngc,dgc,-1);
% Step response
t = [0:0.01:1.5];
y = step(nclose,dclose,t);
plot(t,y)
grid
xlabel('time (s)')
ylabel('y(t)')
title('Step response of 1/s^2 with a PID controller')
