% Matlab Program 10-6
tz = input('Digital sampling time tz = ');
% Continuous plant transfer function
ng = 1;
dg = conv([1 0],[1 2]);
% PID controller parameters
K= 32.2;
npid = [1 4.1742 7.8353];
dpid = [1 0];
% Open loop transfer function
ngc = conv(ng,npid);
dgc = conv(dg,dpid);
% Convert to discrete
[dng,ddg] = c2dm(ngc,dgc,tz,'zoh');
% Closed loop transfer function
[dnclose,ddclose] = cloop(dng,ddg,-1);
% Step response
dstep(dnclose,ddclose)
title('Step response')
grid
