% MATLAB Program 2-7 :  Mass-Spring-Damper system

% Enter parameters
x0 = input('Initial position = ');      % Initial position
M = input('Mass = ');                   % Mass
B = input('Damping = ');        
K = input('Stiffness = ');

% Caculate x(t)
t = [0:0.1:8];                          % Response for 8 seconds
zeta = B/(2*sqrt(K));
wn = sqrt(K);
theta = wn*sqrt(1-zeta^2)*t + acos(zeta); 
x = x0/(sqrt(1-zeta^2)) *exp(-zeta*wn*t).*sin(theta);

% Plot the response
plot(t,x)                               % Plot the response
grid
title('Mass-Spring-Damper Response')
xlabel('time (sec)')
ylabel('x position (m)')