%MATLAB Program 3-3 : Step response with different dampings

wn = 4; zeta1 = 0.6; zeta2 = 1; zeta3 = 1.6;
n = wn^2;
d1 = [1 2*zeta1*wn wn^2];       % underdamped
d2 = [1 2*zeta2*wn wn^2];       % critically damped
d3 = [1 2*zeta3*wn wn^2];       % overdamped
t = [0:0.1:6];
y1 = step(n,d1,t);
y2 = step(n,d2,t);
y3 = step(n,d3,t);
plot(t,y1,':',t,y2,'--',t,y3)
legend('Under-damped','Critically damped','Over-damped')
grid
title('Step responses')
xlabel('time (s)')
ylabel('y(t)')

