% MATLAB Program 5-7 :  PID control design

% Plant
np = 1;
dp = [1 0 0];
% Input gains
kp = input('Enter controller gain, kp  =');
kd = input('Enter controller gain, kd  =');
ki = input('Enter controller gain, ki  =');
% PID controller
nc = [kd kp ki];
dc = [1 0];
% Open loop
nopen = conv(nc,np);
dopen = conv(dc,dp);
% Root locus
rlocus(nopen,dopen)
title('Root locus of GC(s)')
grid
pause
[nclose,dclose] = cloop(nopen,dopen,-1);
roots(dclose)
% Step response
t = [0:0.1:10];
y = step(nclose,dclose,t);
plot(t,y)
xlabel('time (s)')
ylabel('y(t)')
title('Step response')
grid
