% MATLAB Program 6-11 : Design of PID controller for a 2nd order plant.

% Plant
ng = 1;
dg = [1 0 0];
% Input kd gain
kd = input('Enter controller gain Kd =');
npid = [1 4.2 8.41];
dpid = [1 0];
% Open loop transfer function
nopen = kd*conv(ng,npid);
dopen = conv(dg,dpid);
% Root locus plot
rlocus(nopen,dopen);
title('Second order plant with PID controller')
pause;
% Closed loop transfer function
[nclose,dclose] = cloop(nopen,dopen,-1);
t = linspace(0,3,100);
y = step(nclose,dclose,t);
plot(t,y)
grid
title('Step response with PID controller')
xlabel('time (s)')
ylabel('y(t)')


