% MATLAB Program 6-12 : Root locus for a third order plant by PID.

% Plant
ng = 1;
dg = [1 0 0 0];
% PID controller
npid = [1 4.2 8.41];
dpid = [1 0];
% Open loop transfer function
nopen = conv(ng,npid);
dopen = conv(dg,dpid);
% Root locus
rlocus(nopen,dopen);
grid
title('Third order plant with PID controller')




