%MATLAB Program 7-10 : Frequency response wrt dampings

w = logspace(-1,1,100);             % frequency range
wn = 2;                             % natural frequency
zeta = [0:0.25:1];                  % damping
nt = wn^2;
for i= 1:length(zeta),
	dt = [1 2*zeta(i)*wn wn^2];
	[mag,aphase] = bode(nt,dt,w);
	lmag = 20*log10(mag);
	semilogx(w,lmag)
	hold on
end 
xlabel('Frequency w (rad/sec)')
ylabel('|T(jw)|')
grid
text(2.5,20,'zeta = 0')
text(1,-8,'zeta = 1')
hold off
