% MATLAB Program 8-6 : State space representation

A = [ 0 1 0; 0 0 1; -2 -6 -3];
B = [1;1;1];
F = [ 1 1 0];
H = 0;
t = [0:.1:5];
x0 = [0.5 0 -0.5]';
r = ones(1,length(t));
[y,x] = lsim(A,B,F,H,r,t,x0);
plot(t,x(:,1),'--',t,x(:,2),':',t,x(:,3),'-.',t,y)
grid
legend('x1','x2','x3','y')
xlabel('time (s)')
ylabel('x and y')

