%MATLAB Program 9-11 : PIDA for Type 1 of the 3rd oredr plant 

K = input('Controller gain K=');
% Plant transfer function G(s)
ng = 1;
dg = conv([1 0],conv([1 1],[1 7]));
% PIDA Controller transfer function
nc = K*conv([1 2*2.2965 2.2965^2+1.5418^2],[1 2.4471]);
dc = [1 0];
% Open loop transfer function G(s)C(s)
ngc = conv(ng,nc);
dgc = conv(dg,dc);
% Closed loop transfer function T(s) = 1/(1+GC(s))
[nclose,dclose] = cloop(ngc,dgc,-1);
% Step response
t = [0:0.01:2];
y = step(nclose,dclose,t);
plot(t,y)
grid
xlabel('time (s)')
ylabel('y(t)')
title('Step response of 1/s(s+1)(s+7) with a PIDA controller')

