%MATLAB Program 9-6 : PID for Type 1 

K = input('Controller gains K = ');
% Plant transfer function G(s)
ng = 1;
dg = conv([1 0],[1 2]);
% PID Controller transfer function
nc = K*[1 4.1742 7.8353];
dc = [1 0];
% Open loop transfer function G(s)C(s)
ngc = conv(ng,nc);
dgc = conv(dg,dc);
% Closed loop transfer function T(s) = 1/(1+GC(s))
[nclose,dclose] = cloop(ngc,dgc,-1);
% Step response
t = [0:0.01:2];
y = step(nclose,dclose,t);
plot(t,y)
grid
xlabel('time (s)')
ylabel(' y(t)')
title('Step response of 1/s(s+2) with a PID controller')

