% MATLAB Program 2-5 : mat2_5.m Mass-Spring-Damper system

% Enter parameters
x0 = input('Initial position = ');      % ʱ ġ
M = input('Mass = ');                   % Է
B = input('Damping = ');        
K = input('Stiffness = ');

% Caculate x(t)
t = [0:0.1:8];                          % 8  
zeta = B/(2*sqrt(K));
wn = sqrt(K);
theta = wn*sqrt(1-zeta^2)*t + acos(zeta); 
x = x0/(sqrt(1-zeta^2)) *exp(-zeta*wn*t).*sin(theta);

% Plot the response
plot(t,x)                               %  ׸
grid
title('Mass-Spring-Damper Response')
xlabel('time (sec)')
ylabel('x position (m)')
